Skip to main content

GET /loss-of-supplier/v1/{mpid}/list

Returns active invitations to intervene for the losing supplier identified by mpid.

Request

Method and path:

  • GET /loss-of-supplier/v1/{mpid}/list

Headers:

  • X-API-KEY (required): string, UUID format.

Path parameters:

  • mpid (required): string supplier MPID.

Request body:

  • None.

Response

Success:

  • 200 OK
  • Body type: array of objects validated against LoSRequestSchema
[
{
"request_id": "72f30f06-afcc-4ad8-8c1f-78e556ea9cbc",
"mpan_core": 1234567890123,
"created_at": "2026-03-24T08:30:00+00:00",
"active_registration_id": "1a6ff4e9-29c0-42d1-a5bc-b51f3402cb4c",
"pending_registration_id": "3a5e6ec4-4e05-4a21-b10b-7c1ebf7a6c0e",
"gaining_supplier_mpid": "GAIN",
"gaining_supplier_role": "X",
"supply_start_date": "2026-03-29T00:00:00+00:00",
"intervention_start_date": "2026-03-24T00:00:00+00:00",
"objection_window_end_date": "2026-03-26T23:59:59+00:00",
"annulment_window_end_date": "2026-03-28T23:59:59+00:00"
}
]

No content case:

  • 204 No Content when there are no active invitations.

Auth errors:

  • 401 Unauthorized.

Schema details: